form#filter-form {
    display: flex;
}
form#filter-form select {
    /* min-width: 150px; */
    margin: 10px;
}
form#filter-form label {
    /* display: inline-flex; */
    margin-right: -10px;
}
form#filter-form div#edit-actions, form#filter-form div#edit-actions--2 {
    display: table;
    margin: 0;
    margin-top: 23px;
    margin-left: 10px;
}
form#filter-form input#edit-submit, form#filter-form input#edit-submit--2 {
    height: 35px;
    min-width: 125px;
    width: 125px;
}
div#block-filterblock {
    width: 75%;
    float: left;
    z-index: 125;
    margin-top: -10px;
}
